<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>清除浮动：父级div定义height</title>
    <style>
        .wrap-box {
            background: #000080;
            border: 1px solid red;
            width: 98%;
            height: 200px;
        }
        .item-left {
            float: left;
            width: 20%;
            height: 200px;
            background: #DDD
        }
        .item-right {
            float: right;
            width: 30%;
            height: 80px;
            background: #DDD
        }
    </style>
</head>

<body>
    <div class="wrap-box">
        <div class="item-left">Left</div>
        <div class="item-right">Right</div>
    </div>
</body>

</html>